local _print = print
local log = assert( io.open( ("../logs/log_%04d.txt"):format( os.time() % 1000 ), "a" ))
return function( ... )
  
  log:write( os.date("!%S") )
  for i, v in ipairs{...} do
    log:write("\t")
    log:write(tostring(v))
  end
  log:write("\n")
  
  return _print( ... )
end